#pragma once

#include "codec.hh"
#include "params.hh"

#include "osipparser2/osip_parser.h"
#include "osipparser2/sdp_message.h"

namespace LibSip__MessageBodyTypes {
  class MessageBody;
}

class sip_codec_message_body
{
public:
  explicit sip_codec_message_body() { };
  virtual ~sip_codec_message_body() { };

  virtual int encode_message_body(const LibSip__MessageBodyTypes::MessageBody& p_message_body, osip_message_t* p_sip_message);
  virtual void decode_message_body(const osip_message_t* p_sip_message, OPTIONAL<LibSip__MessageBodyTypes::MessageBody>& p_message_body);

}; // End of class sip_codec_message_body
